<template>
  <div class="w-full flex flex-col gap-16">
    <svn-tiptap
      :key="svnTipTapKey"
      :html-data="dataTipTap"
			create-image-url="https://staging.byseven.co/api/v1/editor_contents/145/upload_image"
			:extension-selection="AllTipTapPlugins"
      :extension-slash-command="AllTipTapPlugins"
			:extension-left-menu="true"
    />

		<div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="editor"
    >
      <svn-editor
        v-if="data && data?.blocks?.length"
        app="aleph"
        editor-id="my_id"
        create-image-url=""
        :data="data"
      />
    </div>
  </div>
</template>

<script setup>
import { ref } from "vue";
import SvnEditor from "@/components/editor/SvnEditor.vue";
import SvnTiptap from "../../components/editor/SvnTiptap.vue";
import {
  Heading,
  BulletList,
  OrderedList,
  CheckList,
  Blockquote,
  CodeBlock,
  Table,
  Image,
  Youtube,
  Divider,
  Link,
  AllTipTapPlugins
} from '../../components/editor/extensions';

const data = {
    "time": 1710155259276,
    "blocks": [
        {
            "id": "1f71s8Ah5I",
            "data": {
                "text": "Hello, this is a paragraph"
            },
            "type": "paragraph",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "8A5jrt2yGd",
            "data": {
                "text": "This is a Heading One",
                "level": 1
            },
            "type": "header",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "I6xCRtkCjf",
            "data": {
                "text": "This is a Heading Two",
                "level": 2
            },
            "type": "header",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "n6frxkJn-T",
            "data": {
                "text": "This is a Heading Three",
                "level": 3
            },
            "type": "header",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "q4ye3sOjuW",
            "data": {
                "text": "This is a Heading Four",
                "level": 4
            },
            "type": "header",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "S6PQSdF7I9",
            "data": {
                "items": [
                    {
                        "items": [
                            {
                                "items": [
                                    {
                                        "items": [],
                                        "content": "Nested list one nested element one"
                                    }
                                ],
                                "content": "<span style=\"letter-spacing: normal;\">Unordered list nested</span> element one"
                            }
                        ],
                        "content": "Unordered list element one"
                    }
                ],
                "style": "unordered"
            },
            "type": "list"
        },
        {
            "id": "W4n-ZCD1eo",
            "data": {
                "items": [
                    {
                        "items": [
                            {
                                "items": [
                                    {
                                        "items": [],
                                        "content": "Nested list one nested element one"
                                    }
                                ],
                                "content": "Ordered list nested element one"
                            }
                        ],
                        "content": "Ordered list element one"
                    }
                ],
                "style": "ordered"
            },
            "type": "list"
        },
        {
            "id": "I9X-2OS-y5",
            "data": {
                "url": "https://images.unsplash.com/photo-1495360010541-f48722b34f7d?crop=entropy&amp;cs=srgb&amp;fm=jpg&amp;ixid=M3w0OTQ1MjN8MHwxfHNlYXJjaHwzfHxjYXR8ZW58MHx8fHwxNzEwMTU0OTk0fDA&amp;ixlib=rb-4.0.3&amp;q=85",
                "caption": "Caption Unsplash image",
                "unsplash": {
                    "author": "Alexander London",
                    "profileLink": "https://unsplash.com/@alxndr_london"
                },
                "stretched": false,
                "withBorder": false,
                "withBackground": true
            },
            "type": "inlineImage"
        },
        {
            "id": "Uowpxuyjf5",
            "data": {
                "alignment": "left",
                "fullWidth": true
            },
            "type": "divider"
        },
        {
            "id": "cUp49Ls8M6",
            "data": {
                "html": "<div>\n <p>\n  This is just a paragraph in a div\n </p>\n</div>"
            },
            "type": "raw",
            "tunes": {
                "align": {
                    "alignment": "left"
                }
            }
        },
        {
            "id": "7BmB0FTicW",
            "data": {
                "items": [
                    {
                        "text": "Checklist element one checked is true",
                        "checked": true
                    },
                    {
                        "text": "Checklist element two checked is false",
                        "checked": false
                    }
                ]
            },
            "type": "checklist"
        },
        {
            "id": "evm80e_bQR",
            "data": {
                "text": "This is just a Quote.<br>initially, you can write down anything you want inside."
            },
            "type": "quote"
        },
      {
        "id": "xcvxvbxcvlkj",
        "type": "table",
        "data": {
          "withHeadings": false,
          "content": [
            [ "1", "2", "3" ],
            [ "4", "5", "6" ],
            [ "7", "8", "9" ]
          ]
        }
      }
    ],
    "version": "2.29.0"
}

// https://sm.ign.com/ign_fr/cover/a/avatar-gen/avatar-generations_bssq.jpg
const svnTipTapKey = ref(0)
const dataTipTap = ref('<span style="color: rgb(255, 102, 0);"><span style="font-weight: 700;">hello</span></span>')
</script>

<style scoped>

</style>